F439_CPP_TX-RX_LoRa_Project

Loading...
Searching...
No Matches
Functions | Variables
syscalls.c File Reference

STM32CubeIDE Minimal System calls file. More...

`#include <sys/stat.h>`
`#include <stdlib.h>`
`#include <errno.h>`
`#include <stdio.h>`
`#include <signal.h>`
`#include <time.h>`
`#include <sys/time.h>`
`#include <sys/times.h>`
Include dependency graph for syscalls.c:

## Functions
int | __io_putchar (int ch) __attribute__((weak))
int | __io_getchar (void)
void | initialise_monitor_handles ()
int | _getpid (void)
int | _kill (int pid, int sig)
void | _exit (int status)
| __attribute__ ((weak))
int | _close (int file)
int | _fstat (int file, struct stat *st)
int | _isatty (int file)
int | _lseek (int file, int ptr, int dir)
int | _open (char *path, int flags,...)
int | _wait (int *status)
int | _unlink (char *name)
int | _times (struct tms *buf)
int | _stat (char *file, struct stat *st)
int | _link (char *old, char *new)
int | _fork (void)
int | _execve (char *name, char **argv, char **env)

## Variables
char ** | environ = __env

## Detailed Description

STM32CubeIDE Minimal System calls file.

Author
  Auto-generated by STM32CubeIDE

             For more information about which c-functions
             need which of these lowlevel functions
             please consult the Newlib libc-manual

Attention

Copyright (c) 2020-2025 STMicroelectronics. All rights reserved.

This software is licensed under terms that can be found in the LICENSE file in the root directory of this software component. If no LICENSE file comes with this software, it is provided AS-IS.

## Function Documentation

## ◆ __attribute__()

__attribute__ | ( | (weak) |  | ) |

## ◆ __io_getchar()

int __io_getchar | ( | void |  | ) |
| extern

## ◆ __io_putchar()

int __io_putchar | ( | int | ch | ) |
| extern

## ◆ _close()

int _close | ( | int | file | ) |

## ◆ _execve()

int _execve | ( | char * | name,
|  | char ** | argv,
|  | char ** | env )

## ◆ _exit()

void _exit | ( | int | status | ) |

## ◆ _fork()

int _fork | ( | void |  | ) |

## ◆ _fstat()

int _fstat | ( | int | file,
|  | struct stat * | st )

## ◆ _getpid()

int _getpid | ( | void |  | ) |

## ◆ _isatty()

int _isatty | ( | int | file | ) |

## ◆ _kill()

int _kill | ( | int | pid,
|  | int | sig )

## ◆ _link()

int _link | ( | char * | old,
|  | char * | new )

## ◆ _lseek()

int _lseek | ( | int | file,
|  | int | ptr,
|  | int | dir )

## ◆ _open()

int _open | ( | char * | path,
|  | int | flags,
|  |  | ... )

## ◆ _stat()

int _stat | ( | char * | file,
|  | struct stat * | st )

## ◆ _times()

int _times | ( | struct tms * | buf | ) |

## ◆ _unlink()

int _unlink | ( | char * | name | ) |

## ◆ _wait()

int _wait | ( | int * | status | ) |

## ◆ initialise_monitor_handles()

void initialise_monitor_handles | ( |  | ) |

## Variable Documentation

## ◆ environ

char** environ = __env